### Method

# Dex Future list_model_new

since: 1.1

#### Declaration [src]

    GListModel*
    dex_future_list_model_new (
      DexFuture* future
    )

#### Description [src]

Creates a new list model that will initially be empty and after `future` resolves contain the items within it.

Available since: 1.1

#### Parameters

`future`

  Type: `DexFuture`

  A `DexFuture` that resolves to a `GListModel`.

  The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: A list model of `GObject`

A new `DexFutureListModel`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.